Bug 223522 - [LayoutTests] Convert http/tests/workers convert PHP to Python
Summary: [LayoutTests] Convert http/tests/workers convert PHP to Python
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Gambrell
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-19 10:01 PDT by Chris Gambrell
Modified: 2021-04-08 13:57 PDT (History)
7 users (show)

See Also:


Attachments
Patch (40.35 KB, patch)
2021-03-19 10:03 PDT, Chris Gambrell
no flags Details | Formatted Diff | Diff
Patch (2.52 KB, patch)
2021-04-07 17:01 PDT, Chris Gambrell
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Gambrell 2021-03-19 10:01:30 PDT
Replacing PHP with equivalent Python CGI scripts
Comment 1 Radar WebKit Bug Importer 2021-03-19 10:02:04 PDT
<rdar://problem/75624689>
Comment 2 Chris Gambrell 2021-03-19 10:03:33 PDT
Created attachment 423743 [details]
Patch
Comment 3 Chris Gambrell 2021-03-19 13:32:22 PDT
Will not go through EWS due to encoding issues. Need patch to be reviewed to make sure it looks good to commit, then will manually commit and bypass EWS.
Comment 4 Chris Gambrell 2021-03-22 12:02:25 PDT
Committed r274768 (235577@main): <https://commits.webkit.org/235577@main>
Comment 5 Chris Gambrell 2021-04-07 16:42:00 PDT
Reopening to finish converting PHP files to Python
Comment 6 Chris Gambrell 2021-04-07 17:01:53 PDT
Created attachment 425458 [details]
Patch
Comment 7 EWS 2021-04-08 13:57:53 PDT
Committed r275676 (236312@main): <https://commits.webkit.org/236312@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 425458 [details].